Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1335)
@@ -310,7 +310,7 @@
 		TXMResult result = this.getResult();
 
 		if (!(result instanceof Concordance)) {
-			throw new PartInitException(ConcordanceUIMessages.bind(ConcordanceUIMessages.editor_error_open_editor, result));
+			throw new PartInitException(ConcordanceUIMessages.bind(ConcordanceUIMessages.canNotOpenConcordanceEditorWithP0, result));
 		}
 		this.concordance = (Concordance)result;
 
@@ -336,7 +336,7 @@
 				complexsorter.setComparators(this);
 			}
 		} catch(Exception e) {
-			System.out.println(ConcordanceUIMessages.bind(ConcordanceUIMessages.editor_error_ui_creation, e.getLocalizedMessage()));
+			System.out.println(ConcordanceUIMessages.bind(ConcordanceUIMessages.errorWhileBuildingInterfaceDDotP0, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 		}
 	}
@@ -368,11 +368,11 @@
 
 		referenceColumn = new TableColumn(viewer2.getTable(), SWT.LEFT|SWT.H_SCROLL);
 		refreshReferenceColumnTitle();
-		referenceColumn.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_1);
+		referenceColumn.setToolTipText(ConcordanceUIMessages.reference);
 		referenceColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_37);
+				StatusLine.setMessage(ConcordanceUIMessages.sortingReferenceColumn);
 				LineComparator comparator = new PropertiesReferenceComparator();
 				if (viewer2.getTable().getSortColumn() != referenceColumn) {
 					viewer2.getTable().setSortColumn(null);
@@ -459,8 +459,8 @@
 
 		TableViewerColumn leftColumnViewer = new TableViewerColumn(viewer, SWT.RIGHT);
 		leftContextColumn = leftColumnViewer.getColumn();
-		leftContextColumn.setText(ConcordanceUIMessages.ConcordancesEditor_2);
-		leftContextColumn.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_2);
+		leftContextColumn.setText(ConcordanceUIMessages.leftContext);
+		leftContextColumn.setToolTipText(ConcordanceUIMessages.leftContext);
 		leftContextColumn.setAlignment(SWT.RIGHT);
 		leftColumnViewer.setLabelProvider(new ColumnLabelProvider() {
 			@Override
@@ -472,7 +472,7 @@
 		leftContextColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_41);
+				StatusLine.setMessage(ConcordanceUIMessages.sortingLeftContextColumn);
 				LineComparator comparator = new LexicographicLeftContextComparator();
 				if (viewer.getTable().getSortColumn() != leftContextColumn) {
 					viewer.getTable().setSortColumn(leftContextColumn);
@@ -496,8 +496,8 @@
 
 		TableViewerColumn keywordColumnViewer = new TableViewerColumn(viewer, SWT.CENTER);
 		keywordColumn = keywordColumnViewer.getColumn();
-		keywordColumn.setText(ConcordanceUIMessages.ConcordancesEditor_3);
-		keywordColumn.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_3);
+		keywordColumn.setText(ConcordanceUIMessages.keyword);
+		keywordColumn.setToolTipText(ConcordanceUIMessages.keyword);
 		keywordColumn.setAlignment(SWT.CENTER);
 		keywordColumnViewer.setLabelProvider(new ColumnLabelProvider() {
 			@Override
@@ -509,7 +509,7 @@
 		keywordColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_45);
+				StatusLine.setMessage(ConcordanceUIMessages.sortingKeywordColumn);
 				LineComparator comparator = new LexicographicKeywordComparator();
 				if (viewer.getTable().getSortColumn() != keywordColumn) {
 					viewer.getTable().setSortColumn(keywordColumn);
@@ -537,8 +537,8 @@
 
 		TableViewerColumn rightContextColumnViewer = new TableViewerColumn(viewer, SWT.LEFT);
 		rightContextColumn = rightContextColumnViewer.getColumn();
-		rightContextColumn.setText(ConcordanceUIMessages.ConcordancesEditor_4);
-		rightContextColumn.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_4);
+		rightContextColumn.setText(ConcordanceUIMessages.rightContext);
+		rightContextColumn.setToolTipText(ConcordanceUIMessages.rightContext);
 		rightContextColumn.setAlignment(SWT.LEFT);
 		rightContextColumnViewer.setLabelProvider(new ColumnLabelProvider() {
 			@Override
@@ -550,7 +550,7 @@
 		rightContextColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_48);
+				StatusLine.setMessage(ConcordanceUIMessages.sortingRightContextColumn);
 				LineComparator comparator = new LexicographicRightContextComparator();
 
 				if (viewer.getTable().getSortColumn() != rightContextColumn) {
@@ -606,7 +606,7 @@
 		MouseListener ms = new MouseListener() {
 			@Override
 			public void mouseDoubleClick(MouseEvent e) {
-				StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_50);
+				StatusLine.setMessage(ConcordanceUIMessages.openingCorpusEdition);
 				backToText();
 				StatusLine.setMessage(""); //$NON-NLS-1$
 			}
@@ -715,7 +715,7 @@
 			concordance.resetLines();
 
 			try {
-				Log.info(ConcordanceUIMessages.editor_sorting_with+currentComparator.getName());
+				Log.info(ConcordanceUIMessages.sortingWith+currentComparator.getName());
 				if (currentComparator instanceof CompositeComparator)
 					Log.info(((CompositeComparator) currentComparator).getComparators().toString());
 				JobHandler jobhandler = new JobHandler("Sorting...") { //$NON-NLS-1$
@@ -724,7 +724,7 @@
 						this.runInit(monitor);
 						JobsTimer.start();
 						try {
-							monitor.beginTask(ConcordanceUIMessages.ConcordancesEditor_6, concordance.getNLines());
+							monitor.beginTask(ConcordanceUIMessages.sorting, concordance.getNLines());
 							concordance.setCurrentMonitor(this);
 							concordance.sort(currentComparator);
 							concordance.setTopIndex(0);
@@ -732,7 +732,7 @@
 							syncExec(new Runnable() {
 								@Override
 								public void run() {
-									StatusLine.setMessage(TXMUIMessages.SORT_DONE);
+									StatusLine.setMessage(TXMUIMessages.sortDone);
 									try {
 										refresh(false);
 									} catch (Exception e1) {
@@ -745,10 +745,10 @@
 						} catch (ThreadDeath td) {
 							return Status.CANCEL_STATUS;
 						} catch (Exception e) {
-							System.err.println(NLS.bind(ConcordanceUIMessages.ERROR_WHILE_LOADING_CONCORDANCE_LINE, e));
+							System.err.println(NLS.bind(ConcordanceUIMessages.anErrorOccurredWhileRetrievingTheConcordanceLinesDDotP0, e));
 							org.txm.rcp.utils.Logger.printStackTrace(e);
 						} catch (Error e) {
-							System.err.println(ConcordanceUIMessages.bind(ConcordanceUIMessages.editor_error,e));
+							System.err.println(ConcordanceUIMessages.bind(ConcordanceUIMessages.fatalErrorDDotP0,e));
 							e.printStackTrace();
 						} finally {
 							monitor.done();
@@ -760,7 +760,7 @@
 
 				jobhandler.startJob();
 			} catch (Exception e) {
-				System.err.println(NLS.bind(ConcordanceUIMessages.ERROR_WHILE_LOADING_CONCORDANCE_LINE, e));
+				System.err.println(NLS.bind(ConcordanceUIMessages.anErrorOccurredWhileRetrievingTheConcordanceLinesDDotP0, e));
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 		}
@@ -791,7 +791,7 @@
 			try {
 				lines = concordance.getLines(from, to);
 			} catch (Exception e) {
-				System.err.println(ConcordanceUIMessages.ERROR_WHILE_LOADING_CONCORDANCE_LINE+ e);
+				System.err.println(ConcordanceUIMessages.anErrorOccurredWhileRetrievingTheConcordanceLinesDDotP0+ e);
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 		}
@@ -876,7 +876,7 @@
 		getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 
 		queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
-		queryLabel.setText(TXMUIMessages.CreateSubcorpusDialog_10);
+		queryLabel.setText(TXMUIMessages.ampQuery);
 		queryLabel.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
 
 		// [ (v)]
@@ -920,7 +920,7 @@
 				true, 4, 1));
 
 		// properties widget like in the portal version
-		GLComposite propertiesPanel = new GLComposite(queryArea, SWT.BORDER, ConcordanceUIMessages.editor_properties_panel);
+		GLComposite propertiesPanel = new GLComposite(queryArea, SWT.BORDER, ConcordanceUIMessages.propertiesPanel);
 		propertiesPanel.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 				true, 4, 1));
 		propertiesPanel.getLayout().numColumns = 5;
@@ -928,17 +928,17 @@
 
 		try {
 			Label l = new Label(propertiesPanel, SWT.NONE);
-			l.setText(ConcordanceUIMessages.editor_empty);
+			l.setText(ConcordanceUIMessages.editor_21);
 			l.setLayoutData(new GridData(GridData.FILL,GridData.FILL, true, false));
-			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_references);
-			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_left);
-			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_keyword);
-			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_right);
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.references);
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.left);
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.keyword);
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.right);
 
-			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_view);
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.view);
 			refViewProperties = new PropertiesSelector<Property>(propertiesPanel, SWT.NONE);
-			refViewProperties.setTitle(ConcordanceUIMessages.editor_empty);
-			refViewProperties.setButtonText(ConcordanceUIMessages.editor_3dots);
+			refViewProperties.setTitle(ConcordanceUIMessages.editor_21);
+			refViewProperties.setButtonText(ConcordanceUIMessages.editor_19);
 			refViewProperties.setProperties(ReferencePattern.getPossibleValues(getCorpus()));
 			refViewProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -948,9 +948,9 @@
 				}
 			});
 			leftViewProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			leftViewProperties.setTitle(ConcordanceUIMessages.editor_empty);
+			leftViewProperties.setTitle(ConcordanceUIMessages.editor_21);
 			leftViewProperties.setProperties(getCorpus().getOrderedProperties());
-			leftViewProperties.setButtonText(ConcordanceUIMessages.editor_3dots);
+			leftViewProperties.setButtonText(ConcordanceUIMessages.editor_19);
 			leftViewProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -959,9 +959,9 @@
 				}
 			});
 			keywordViewProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			keywordViewProperties.setTitle(ConcordanceUIMessages.editor_empty);
+			keywordViewProperties.setTitle(ConcordanceUIMessages.editor_21);
 			keywordViewProperties.setProperties(getCorpus().getOrderedProperties());
-			keywordViewProperties.setButtonText(ConcordanceUIMessages.editor_3dots);
+			keywordViewProperties.setButtonText(ConcordanceUIMessages.editor_19);
 			keywordViewProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -970,7 +970,7 @@
 				}
 			});
 			rightViewProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			rightViewProperties.setTitle(ConcordanceUIMessages.editor_empty);
+			rightViewProperties.setTitle(ConcordanceUIMessages.editor_21);
 			rightViewProperties.setProperties(getCorpus().getOrderedProperties());
 			rightViewProperties.setButtonText(ConcordanceUIMessages.editor_19);
 			rightViewProperties.addSelectionListener(new ComputeSelectionListener(this) {
@@ -981,10 +981,10 @@
 				}
 			});
 
-			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_20);
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.sort);
 			refSortProperties = new PropertiesSelector<Property>(propertiesPanel, SWT.NONE);
 			refSortProperties.setTitle(ConcordanceUIMessages.editor_21);
-			refSortProperties.setButtonText(ConcordanceUIMessages.editor_22);
+			refSortProperties.setButtonText(ConcordanceUIMessages.editor_19);
 			refSortProperties.setProperties(ReferencePattern.getPossibleValues(getCorpus()));
 			refSortProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -994,8 +994,8 @@
 				}
 			});
 			leftSortProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			leftSortProperties.setTitle(ConcordanceUIMessages.editor_23);
-			leftSortProperties.setButtonText(ConcordanceUIMessages.editor_24);
+			leftSortProperties.setTitle(ConcordanceUIMessages.editor_21);
+			leftSortProperties.setButtonText(ConcordanceUIMessages.editor_19);
 			leftSortProperties.setProperties(getCorpus().getOrderedProperties());
 			leftSortProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -1005,8 +1005,8 @@
 				}
 			});
 			keywordSortProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			keywordSortProperties.setTitle(ConcordanceUIMessages.editor_25);
-			keywordSortProperties.setButtonText(ConcordanceUIMessages.editor_26);
+			keywordSortProperties.setTitle(ConcordanceUIMessages.editor_21);
+			keywordSortProperties.setButtonText(ConcordanceUIMessages.editor_19);
 			keywordSortProperties.setProperties(getCorpus().getOrderedProperties());
 			keywordSortProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -1016,8 +1016,8 @@
 				}
 			});
 			rightSortProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			rightSortProperties.setTitle(ConcordanceUIMessages.editor_27);
-			rightSortProperties.setButtonText(ConcordanceUIMessages.editor_28);
+			rightSortProperties.setTitle(ConcordanceUIMessages.editor_21);
+			rightSortProperties.setButtonText(ConcordanceUIMessages.editor_19);
 			rightSortProperties.setProperties(getCorpus().getOrderedProperties());
 			rightSortProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -1027,7 +1027,7 @@
 				}
 			});
 
-			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_29);
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.size);
 			new Label(propertiesPanel, SWT.NONE);
 			leftSizeSpinner = new Spinner(propertiesPanel, SWT.BORDER);
 			leftSizeSpinner.addSelectionListener(new ComputeSelectionListener(this) {
@@ -1076,7 +1076,7 @@
 		// Delete line button
 		deleteLineButton = new Button(navigationArea, SWT.PUSH);
 		deleteLineButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
-		deleteLineButton.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_88);
+		deleteLineButton.setToolTipText(ConcordanceUIMessages.deleteSelectedLines);
 		deleteLineButton.setImage(IImageKeys.getImage(IImageKeys.CONCORDANCE_DELETE));
 		deleteLineButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -1089,7 +1089,7 @@
 		});
 
 		// Navigation Area: infoLine and buttons
-		GLComposite navigationAreaComposite = getBottomToolbar().installGLComposite(ConcordanceUIMessages.editor_30, 1, false);
+		GLComposite navigationAreaComposite = getBottomToolbar().installGLComposite(ConcordanceUIMessages.navigation, 1, false);
 		navigationAreaComposite.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
 
 		navigationWidget = new NavigationWidget(navigationAreaComposite, SWT.NONE);
@@ -1184,7 +1184,7 @@
 	 * @param bottom
 	 */
 	public void updateEditorFromResult(boolean update) {
-		StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_56);
+		StatusLine.setMessage(ConcordanceUIMessages.startComputingConcordance);
 
 		//if (true)// concordance==null || concordance.getQuery()!=query)
 		try {
@@ -1200,13 +1200,13 @@
 			JobsTimer.stopAndPrint();
 
 		} catch (Exception e1) {
-			System.out.println(TXMUIMessages.CorporaView_3 + " " + Log.toString(e1)); //$NON-NLS-1$
+			System.out.println(TXMUIMessages.errorWhileComputingTheConcordanceDDot + " " + Log.toString(e1)); //$NON-NLS-1$
 			//System.err.println(Messages.CorporaView_3);
 			org.txm.rcp.utils.Logger.printStackTrace(e1);
 			try {
-				Log.severe(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
+				Log.severe(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
 			} catch (Exception e2) {
-				System.out.println(ConcordanceUIMessages.ConcordancesEditor_7+e2);
+				System.out.println(ConcordanceUIMessages.cQPErrorDDot+e2);
 				org.txm.rcp.utils.Logger.printStackTrace(e1);
 				Log.severe(Log.toString(e1));
 			}
@@ -1904,7 +1904,7 @@
 			IConfigurationElement[] config = Platform.getExtensionRegistry()
 					.getConfigurationElementsFor(BACKTOTEXT_COMMAND_ID);
 			for (IConfigurationElement e : config) {
-				Object o = e.createExecutableExtension(ConcordanceUIMessages.ConcordancesEditor_78);
+				Object o = e.createExecutableExtension(ConcordanceUIMessages._class);
 				if (o instanceof BackToTextCommand) {
 					return ((BackToTextCommand) o).backToText(this, line.getMatch());
 				}
@@ -2032,4 +2032,4 @@
 	}
 
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/CompositeSorterCreationDialog.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/CompositeSorterCreationDialog.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/CompositeSorterCreationDialog.java	(revision 1335)
@@ -104,7 +104,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(TXMUIMessages.ComplexSort_5);
+		newShell.setText(TXMUIMessages.createANewSorter);
 	}
 
 	/* (non-Javadoc)
@@ -117,7 +117,7 @@
 		mainArea.setLayout(layout);
 
 		Label nameLabel = new Label(mainArea, SWT.NONE);
-		nameLabel.setText(TXMUIMessages.ComplexSort_6);
+		nameLabel.setText(TXMUIMessages.name);
 
 		nameText = new Text(mainArea, SWT.NONE);
 		GridData gridData = new GridData(SWT.FILL, SWT.TOP, true, false);
@@ -209,17 +209,17 @@
 	protected void okPressed() {
 		if (nameText.getText().equals("")) { //$NON-NLS-1$
 			MessageDialog.openError(getShell(),
-					TXMUIMessages.CreateSubcorpusDialog_11,
-					TXMUIMessages.ComplexSort_9);
+					TXMUIMessages.invalidName,
+					TXMUIMessages.nameIsMandatory);
 			return;
 		}
 		name = nameText.getText();
 		if (selectedComparators.size() < 2) {
 			MessageDialog.openError(getShell(),
-					TXMUIMessages.ComplexSort_10,
-					TXMUIMessages.ComplexSort_11);
+					TXMUIMessages.invalidComparator,
+					TXMUIMessages.youMustSelectAtLeast2Comparators);
 			return;
 		}
 		super.okPressed();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SetLineNumber.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SetLineNumber.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SetLineNumber.java	(revision 1335)
@@ -68,8 +68,8 @@
 		this.window = window;
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(TXMUIMessages.SetLineNumber_0);
-		setToolTipText(TXMUIMessages.SetLineNumber_0);
+		setText(TXMUIMessages.paginationOptions);
+		setToolTipText(TXMUIMessages.paginationOptions);
 	}
 
 	/* (non-Javadoc)
@@ -133,7 +133,7 @@
 			Composite mainArea = new Composite(parent, SWT.NONE);
 			mainArea.setLayout(new GridLayout(2, false));
 
-			new Label(mainArea, SWT.None).setText(TXMUIMessages.SetLineNumber_1);
+			new Label(mainArea, SWT.None).setText(TXMUIMessages.linePerPageDDot);
 			rightSpinner = new Spinner(mainArea, SWT.NONE);
 			rightSpinner.setSelection(concordanceEditor.getLinePerPage());
 			rightSpinner.setMinimum(0);
@@ -151,4 +151,4 @@
 		}
 
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ComplexSort.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ComplexSort.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ComplexSort.java	(revision 1335)
@@ -81,8 +81,8 @@
 		this.window = window;
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(TXMUIMessages.ComplexSort_1);
-		setToolTipText(TXMUIMessages.ComplexSort_2);
+		setText(TXMUIMessages.ampMultipleSort);
+		setToolTipText(TXMUIMessages.defineAndUseACompositeSorter);
 	}
 
 	/* (non-Javadoc)
@@ -139,7 +139,7 @@
 		@Override
 		protected void configureShell(Shell newShell) {
 			super.configureShell(newShell);
-			newShell.setText(TXMUIMessages.ComplexSort_3);
+			newShell.setText(TXMUIMessages.selectACompositeSorter);
 		}
 
 		/**
@@ -181,11 +181,11 @@
 			}
 			list.select(0);
 			Button newButton = new Button(mainArea, SWT.PUSH);
-			newButton.setText(TXMUIMessages.ComplexSort_4);
+			newButton.setText(TXMUIMessages.ampNew);
 			newButton.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
-					StatusLine.setMessage(TXMUIMessages.ComplexSort_0);
+					StatusLine.setMessage(TXMUIMessages.openingComplexSortDialog);
 					CompositeSorterCreationDialog sorterCreationDialog = new CompositeSorterCreationDialog(
 							getShell());
 					int code = sorterCreationDialog.open();
@@ -272,7 +272,7 @@
 		@Override
 		protected void configureShell(Shell newShell) {
 			super.configureShell(newShell);
-			newShell.setText(TXMUIMessages.ComplexSort_5);
+			newShell.setText(TXMUIMessages.createANewSorter);
 		}
 
 		/* (non-Javadoc)
@@ -285,7 +285,7 @@
 			mainArea.setLayout(layout);
 
 			Label nameLabel = new Label(mainArea, SWT.NONE);
-			nameLabel.setText(TXMUIMessages.ComplexSort_6);
+			nameLabel.setText(TXMUIMessages.name);
 
 			nameText = new Text(mainArea, SWT.NONE);
 			GridData gridData = new GridData(SWT.FILL, SWT.TOP, true, false);
@@ -319,7 +319,7 @@
 			select.addSelectionListener(new SelectionAdapter() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
-					StatusLine.setMessage(TXMUIMessages.ComplexSort_12);
+					StatusLine.setMessage(TXMUIMessages.addingToSelection);
 					int ind = availbleItems.getSelectionIndex();
 					selectedItems.add(availbleItems.getItem(ind));
 					availbleItems.remove(ind);
@@ -333,7 +333,7 @@
 			unselect.addSelectionListener(new SelectionAdapter() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
-					StatusLine.setMessage(TXMUIMessages.ComplexSort_14);
+					StatusLine.setMessage(TXMUIMessages.removeFromSelection);
 					int ind = selectedItems.getSelectionIndex();
 					availbleItems.add(selectedItems.getItem(ind));
 					selectedItems.remove(ind);
@@ -347,7 +347,7 @@
 			up.addSelectionListener(new SelectionAdapter() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
-					StatusLine.setMessage(TXMUIMessages.ComplexSort_16);
+					StatusLine.setMessage(TXMUIMessages.movingUpTheSelection);
 					int ind = selectedItems.getSelectionIndex();
 					if (ind > 0) {
 						selectedItems.add(selectedItems.getItem(ind), ind - 1);
@@ -364,7 +364,7 @@
 			down.addSelectionListener(new SelectionAdapter() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
-					StatusLine.setMessage(TXMUIMessages.ComplexSort_18);
+					StatusLine.setMessage(TXMUIMessages.movingDownTheSelection);
 					int ind = selectedItems.getSelectionIndex();
 					if (ind < selectedItems.getItemCount() - 1) {
 						selectedItems.add(selectedItems.getItem(ind), ind + 2);
@@ -386,18 +386,18 @@
 		@Override
 		protected void okPressed() {
 			if (nameText.getText().equals("")) { //$NON-NLS-1$
-				MessageDialog.openError(getShell(), TXMUIMessages.CreateSubcorpusDialog_11,
-						TXMUIMessages.ComplexSort_9);
+				MessageDialog.openError(getShell(), TXMUIMessages.invalidName,
+						TXMUIMessages.nameIsMandatory);
 				return;
 			}
 			name = nameText.getText();
 			if (selectedComparators.size() < 2) {
-				MessageDialog.openError(getShell(), TXMUIMessages.ComplexSort_10,
-						TXMUIMessages.ComplexSort_11);
+				MessageDialog.openError(getShell(), TXMUIMessages.invalidComparator,
+						TXMUIMessages.youMustSelectAtLeast2Comparators);
 				return;
 			}
 			super.okPressed();
 		}
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineSortReferencePattern.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineSortReferencePattern.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineSortReferencePattern.java	(revision 1335)
@@ -79,8 +79,8 @@
 		this.window = window;
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(TXMUIMessages.DefineReferencePattern_3);
-		setToolTipText(TXMUIMessages.DefineReferencePattern_4);
+		setText(TXMUIMessages.referencesAmpsortOptions);
+		setToolTipText(TXMUIMessages.referencesSortOptions);
 	}
 
 	/* (non-Javadoc)
@@ -174,7 +174,7 @@
 		@Override
 		protected void configureShell(Shell shell) {
 		      super.configureShell(shell);
-		      shell.setText(TXMUIMessages.DefineReferencePattern_5);
+		      shell.setText(TXMUIMessages.referencesSortOptions);
 		      
 		      shell.setSize(400, 500);
 		      shell.setLocation(shell.getParent().getLocation());
@@ -335,4 +335,4 @@
 			return mainArea;
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineViewReferencePattern.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineViewReferencePattern.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineViewReferencePattern.java	(revision 1335)
@@ -79,8 +79,8 @@
 		this.window = window;
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(TXMUIMessages.DefineReferencePattern_1);
-		setToolTipText(TXMUIMessages.DefineReferencePattern_2);
+		setText(TXMUIMessages.referencesAmpdisplayOptions);
+		setToolTipText(TXMUIMessages.referencesDisplayOptions);
 	}
 
 	/* (non-Javadoc)
@@ -174,7 +174,7 @@
 		@Override
 		protected void configureShell(Shell shell) {
 		      super.configureShell(shell);
-		      shell.setText(TXMUIMessages.DefineReferencePattern_0);
+		      shell.setText(TXMUIMessages.referencesDisplayOptions);
 		      
 		      shell.setSize(400, 500);
 		      shell.setLocation(shell.getParent().getLocation());
@@ -335,4 +335,4 @@
 			return mainArea;
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SortPropertySelection.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SortPropertySelection.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SortPropertySelection.java	(revision 1335)
@@ -70,8 +70,8 @@
 			ConcordanceEditor concordanceEditor, TableViewer tableViewer) {
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(TXMUIMessages.SortPropertySelection_0);
-		setToolTipText(TXMUIMessages.SortPropertySelection_0);
+		setText(TXMUIMessages.sortOptions);
+		setToolTipText(TXMUIMessages.sortOptions);
 	}
 
 	/* (non-Javadoc)
@@ -129,4 +129,4 @@
 
 		// concordanceEditor.updateSortPropertiesLabel();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/BackToText.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/BackToText.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/BackToText.java	(revision 1335)
@@ -58,8 +58,8 @@
 		this.window = window;
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(TXMUIMessages.BackToText_0);
-		setToolTipText(TXMUIMessages.BackToText_0);
+		setText(TXMUIMessages.displayInFullText);
+		setToolTipText(TXMUIMessages.displayInFullText);
 	}
 
 	/* (non-Javadoc)
@@ -77,4 +77,4 @@
 		concordanceEditor.backToText();
 
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SetSortProperty.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SetSortProperty.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SetSortProperty.java	(revision 1335)
@@ -74,8 +74,8 @@
 		this.window = window;
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(TXMUIMessages.SetSortProperty_1);
-		setToolTipText(TXMUIMessages.SetSortProperty_2);
+		setText(TXMUIMessages.ampSortOptions);
+		setToolTipText(TXMUIMessages.sortOptions);
 	}
 
 	/**
@@ -177,7 +177,7 @@
 			mainArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 					true, true));
 			Group group = new Group(mainArea, SWT.SHADOW_IN);
-			group.setText(TXMUIMessages.SetSortProperty_3);
+			group.setText(TXMUIMessages.sortOptions);
 			group.setLayout(new RowLayout(SWT.VERTICAL));
 			for (Property property : properties) {
 				Button button = new Button(group, SWT.RADIO);
@@ -208,4 +208,4 @@
 			return selectedProperty;
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SetContextSize.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SetContextSize.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/SetContextSize.java	(revision 1335)
@@ -67,8 +67,8 @@
 		this.window = window;
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(TXMUIMessages.SetContextSize_1);
-		setToolTipText(TXMUIMessages.SetContextSize_2);
+		setText(TXMUIMessages.ampContextsDisplayOptions);
+		setToolTipText(TXMUIMessages.contextsDisplayOptions);
 	}
 
 	/* (non-Javadoc)
@@ -147,12 +147,12 @@
 		protected Control createDialogArea(Composite parent) {
 			Composite mainArea = new Composite(parent, SWT.NONE);
 			mainArea.setLayout(new GridLayout(2, false));
-			new Label(mainArea, SWT.None).setText(TXMUIMessages.SetContextSize_3);
+			new Label(mainArea, SWT.None).setText(TXMUIMessages.leftContextSize);
 			leftSpinner = new Spinner(mainArea, SWT.NONE);
 			leftSpinner.setMinimum(0);
 			leftSpinner.setMaximum(100);
 			leftSpinner.setSelection(concordanceEditor.getLeftContextSize());
-			new Label(mainArea, SWT.None).setText(TXMUIMessages.SetContextSize_4);
+			new Label(mainArea, SWT.None).setText(TXMUIMessages.rightContextSize);
 			rightSpinner = new Spinner(mainArea, SWT.NONE);
 			rightSpinner.setMinimum(0);
 			rightSpinner.setMaximum(100);
@@ -171,4 +171,4 @@
 		}
 
 	}
-}
+}
\ No newline at end of file
